WordPress.org

Ready to get started?Download WordPress

Forums

Cannot redeclare tinymce_include() (6 posts)

  1. iamswitz
    Member
    Posted 4 years ago #

    Today I updated my WP install to the newest Alpha version. After the new version installed whenever I try to login to my admin dashboard it gives me the above message.From what I learned from some websites is that something is being included more than once in a file, and it is giving this error. Does this problem have to do with my plugins or the new version of WordPress, and is there any way to fix it? Here's the full message. Sorry if this is in the wrong section, and for bothering you guys.

    Fatal error: Cannot redeclare tinymce_include() in /home/switz/public_html/wp-admin/includes/deprecated.php on line 21

    Thanks

  2. Does this problem have to do with my plugins or the new version of WordPress, and is there any way to fix it?

    I'd guess it's a plugin conflict. What ones are you running?

  3. ceekei
    Member
    Posted 4 years ago #

    FWIW, this happened to me as well. Upgrading WP from r12817 to r13811 *and* upgrading the reCaptcha plugin too.

    Well, by "upgrading" the latter I just renamed the old version to something else, not realizing that WP will still try to make a plugin from everything under wp-content/plugins - and now some functions were obiously doubled.

    Strange error message though, neither the old nor the current reCaptcha version does anything with tinymce, dunno how this error came to be exactly.

    HTH,
    C.

  4. soknet.wordpress
    Member
    Posted 3 years ago #

    Hi,

    I have also this problem too but I didn't know why because I didn't do anything just signed out and than sign in again it appear this message:

    Fatal error: Cannot redeclare tinymce_include() (previously declared in /home/vcao.com.kh/htdocs/wp-includes/deprecated.php:755) in /home/vcao.com.kh/htdocs/wp-admin/includes/deprecated.php on line 25

    Have anybody can fix it? I really need all of your help.

    Thanks in advance!

  5. eebee
    Member
    Posted 3 years ago #

    I had this problem too and was unable to find a solution anywhere. But I did in the end discover the solution so came here in case my solution might help anyone else. I updated to the latest version of WP by going to my host and then "Fantastico'. After upgrading there I got a message to do various things one of which was:

    - delete all the files listed in /home/mydomain/public_html/fantastico_fileslist.txt

    I deleted it using file manager.
    This has got rid of the problem. Might not for you but I hope so!

    Liz

  6. Andrew Nacin
    Lead Developer
    Posted 3 years ago #

    tinymce_include() hasn't existed in wp-includes/deprecated.php since WP 2.9. It was moved to wp-admin/includes/deprecated.php in 3.0 development.

    Sounds like your installation is incompletely updated.

Topic Closed

This topic has been closed to new replies.

About this Topic